      SUBROUTINE TIMEIT(CMSGTM,DTIME)
C
C     timeit_null
C
C This version of timeit is a dummy which does not provide any
C timing information.
C 94/06/20 (PJF) add dtime to the formal parameters
C
C
C Copyright (C) 1993, B.T. Draine and P.J. Flatau
C This code is covered by the GNU General Public License.
C***********************************************************************
C Arguments:
      CHARACTER CMSGTM*(*)
C Local variables:
      CHARACTER CSTA*3,CMSGNM*70
C***********************************************************************
      DATA CSTA/'ONE'/
      IF(CSTA.EQ.'ONE')THEN
         CSTA='TWO'
      ELSEIF(CSTA.EQ.'TWO')THEN
         CSTA='ONE'
         WRITE(CMSGNM,FMT='(A,A)')'Timing results for: ',CMSGTM
         CALL WRIMSG('TIMEIT',CMSGNM)
         IF(CMSGTM(1:7).NE.'NOPRINT'.AND.CMSGTM(1:7).NE.'noprint')THEN
            WRITE(CMSGNM,FMT='(A)')
     &         'Dummy timing routine: no timings available'
            CALL WRIMSG('TIMEIT',CMSGNM)
         ENDIF
      ENDIF
      RETURN
      END
